/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/

.dokan-seller-wrap {
    margin-bottom: 0 !important;
}
.dokan-latest-stores {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.dokan-store-item {
    border: 1px solid #eee;
    border-radius: 8px;
    overflow: hidden;
    background: #fff;
}

#dokan-dashboard-fullwidth-wrapper {
    min-height: 100vh;
}
.store-banner img {
    width: 100%;
    height: 120px;
    object-fit: cover;
}

.store-info {
    padding: 15px;
    text-align: center;
}
.store-logo {
    margin-inline: auto;
    display: inline-block;
}
.store-logo img {
    width: 60px;
    height: 60px;
    border-radius: 50%;
}


.products .product-element-top  img {
  aspect-ratio: 4/3;
  object-fit: contain;
}

.wd-prefooter {
    background-color: #F27D35 !important;
}

.wd-accordion-content {
    padding-left: 21px;
}

.dokan-vat-number {
    display: none;
}


.hidden {
    display: none;
}




/* SELECT */

/* make modal/container allow dropdown to be visible */
.components-modal__frame.dokan-custom-modal,
.components-modal__content,
.components-modal__content > div,
.components-modal__content .relative.text-left {
    overflow: visible !important;
}

/* react select menu */
.react-select__menu,
[class*="menu"] {
    z-index: 99999 !important;
}

/* normal option */
.react-select__option,
[class*="option"] {
    background: #ffffff !important;
    color: #111827 !important;
}

/* hover/focus option */
.react-select__option--is-focused,
[class*="option"]:hover {
    background: #f3e8ff !important;
    color: #111827 !important;
}

/* selected option */
.react-select__option--is-selected,
[class*="option"][aria-selected="true"] {
    background: #f27d35 !important;
    color: #ffffff !important;
}

/* selected + hover */
.react-select__option--is-selected:hover,
[class*="option"][aria-selected="true"]:hover {
    background: #f27d35 !important;
    color: #ffffff !important;
}



.components-modal__content.hide-header.has-scrolled-content,
.components-modal__content.hide-header,
.components-modal__content,
.components-modal__frame.dokan-custom-modal {
    height: auto !important;
    max-height: none !important;
    overflow: visible !important;
}

.components-modal__content > div,
.components-modal__content .relative.text-left {
    height: auto !important;
    max-height: none !important;
    overflow: visible !important;
}

/* dropdown menu above modal layers */
[class*="menu"] {
    z-index: 99999 !important;
}


.react-select__option--is-focused,
[class*="option"]:hover {
    background: #fbd3b5 !important;
    color: #111827 !important;
}

.dokan-store-wrap {
  justify-content: center;
}
.dokan-store-wrap > #dokan-secondary{
  display: none;
}

.dokan-store-wrap  #dokan-primary{
  max-width: 1100px !important;
  width: 100% !important;
}